summaryrefslogtreecommitdiff
path: root/include
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-09-29 20:42:41 +0100
committerLeah Rowe <leah@libreboot.org>2023-09-29 20:43:24 +0100
commit9a7bf4af0fcca345eba6d386a190a24f11946bca (patch)
treedd66c1c19c21d11ce31921323af70b4d19d9755c /include
parent2b7ae8e204d06c91876351968939a6c187bfd239 (diff)
blobs/download: don't pass dl_path as argument
Because fetch() is only called now from blobs/download, we can reliably know what dl_path should be. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'include')
-rwxr-xr-xinclude/blobutil.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/include/blobutil.sh b/include/blobutil.sh
index 3c55d20d..c9101c4f 100755
--- a/include/blobutil.sh
+++ b/include/blobutil.sh
@@ -60,10 +60,10 @@ fetch()
dl="${2}"
dl_bkup="${3}"
dlsum="${4}"
- dl_path="${5}"
- [ "${6# }" = "${6}" ] || err "fetch: space not allowed in _dest: '${6}'"
- [ "${6#/}" = "${6}" ] || err "fetch: absolute path not allowed: '${6}'"
- _dest="${6##*../}"
+ [ "${5# }" = "${5}" ] || err "fetch: space not allowed in _dest: '${5}'"
+ [ "${5#/}" = "${5}" ] || err "fetch: absolute path not allowed: '${5}'"
+ _dest="${5##*../}"
+ dl_path="${blobdir}/cache/${dlsum}"
mkdir -p "${dl_path%/*}" || err "fetch: !mkdir ${dl_path%/*}"